# $Revision: 1.25 $, $Date: 2002/08/03 21:01:32 $
Summary:	Software package for booting x86 PCs over a network
Summary(pl):	Oprogramowanie do startowania komputerw PC poprzez sie
Name:		etherboot
Version:	5.0.7
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://prdownloads.sourceforge.net/etherboot/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/etherboot/%{name}-doc-%{version}.tar.bz2
URL:		http://etherboot.sourceforge.net/
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Etherboot is a free software package for booting x86 PCs over a
network. In principle this could be any network technology that TCP/IP
runs on that supports broadcasting. In practice, the bandwidth
required means it's only practical over LANs and some WANs. Etherboot
is useful for booting PCs diskless. This is desirable in various
situations, for example:
  - Maintaining software for a cluster of equally configured
    workstations centrally.
  - A low-cost X-terminal.
  - A low cost user platform where remote partitions are mounted by NFS
    and you are willing to accept the slowness of data transfers that
    results from NFS, compared to a local disk.
  - Various kinds of remote servers, e.g. a tape drive server that can
    be accessed with the RMT protocol.
  - Routers.
  - Machines doing tasks in environments unfriendly to disks.

%description -l pl
Etherboot to "wolne" oprogramowanie suce do startowania komputerw
PC x86 poprzez sie (dowoln sie TCP/IP wspierajc rozgaszanie
adresw (broadcasting)). W praktyce wymagania co do przepustowoci
cz ograniczaj zastosowanie tego pakietu w sieciach LAN i niektrych
WAN. Etherboot jest uyteczny do startowania bezdyskowych PC.

%prep
%setup -q -a1

%build
# we don't use custom optimalizations here because it can cause problems
%{__make} -C src
%{__make} bin/boot1a.bin -C src

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/%{name}/{lzrom,rom},%{_bindir}}

install src/bin32/*.rom $RPM_BUILD_ROOT%{_libdir}/%{name}/rom
install src/bin32/*.lzrom $RPM_BUILD_ROOT%{_libdir}/%{name}/lzrom
install src/bin/*.bin $RPM_BUILD_ROOT%{_libdir}/%{name}
install src/bin/makerom	$RPM_BUILD_ROOT%{_bindir}/makerom

gzip -9nf INSTALL RELNOTES doc/text/*txt src/NIC

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz index.html doc/text/*.gz contrib src/*.gz
%{_libdir}/%{name}
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: etherboot.spec,v $
Revision 1.25  2002/08/03 21:01:32  areq
- 5.0.7, STBR

Revision 1.24  2002/04/25 16:15:44  arturs
fixed a small typo

Revision 1.23  2002/04/04 13:47:21  pioklo
- updated to 5.0.6

Revision 1.22  2002/03/25 20:06:09  qboosh
- standarized %%{_bindir}/* perms

Revision 1.21  2002/03/25 08:50:17  mis
- removed %%{_bindir} from file list; rel 2

Revision 1.20  2002/03/23 15:59:00  kloczek
- release 1: cosmetics.

Revision 1.19  2002/02/26 17:17:28  marcus
- rel. 0.9 (for TESTING!)

Revision 1.18  2002/02/26 07:39:49  qwark
removed path for old version (allready included in source)
added some usefull binary files
test needed
-------------------------------------

Revision 1.17  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:12:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/17 22:27:03  filon
- updated to 5.0.4

Revision 1.13  2001/05/06 16:02:53  misiek
- updated to 5.0.1

Revision 1.12  2001/05/02 09:26:53  misiek
- updated to 5.0.0
- mknbi is now distributed as separate package

Revision 1.11  2001/02/02 00:24:45  kloczek
- updated to 4.7.18.

Revision 1.10  2000/12/19 04:21:16  kloczek
- updated to 4.7.14.

Revision 1.9  2000/12/14 05:51:37  kloczek
- s/x86/ix86/

Revision 1.8  2000/12/14 05:49:57  kloczek
- s/ExcludeArch/Exclusivearch/

Revision 1.7  2000/12/14 05:45:28  kloczek
- updated to 4.7.13,
- added using new rpm automation,
- place all rom fles and tools in %%{_libdir} (not in %%{_datadir}),
- removed bin86 from BuildRequires (now forcompile is used only binutils),
- rewrited %build, %install and %files.

Revision 1.6  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.5  2000/05/02 21:21:59  baggins
- fixed version, minor cleanup

Revision 1.4  2000/04/15 17:55:37  mis
- typo

Revision 1.3  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.1  1999/08/06 11:29:36  misiek
new spec
